Skip to content

Create presentingproblem

Request

Creates a new Presentingproblem record. Presentingproblem resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this presenting problem is active and can be selected in workflows.

Example:true
namestringrequired

Human-readable name/label of the presenting problem.

Example:"Example Name"
presentingproblemIdstring

Canonical identifier for the presenting problem.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/presentingproblem' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "extensions": {},
    "isActive": true,
    "name": "Example Name",
    "presentingproblemId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

Presentingproblem created successfully

Bodyapplication/json
createdAtstring, (date-time)required

Timestamp when this presenting problem record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this presenting problem is active and can be selected in workflows.

Example:true
namestringrequired

Human-readable name/label of the presenting problem.

Example:"Example Name"
presentingproblemIdstringrequired

Canonical identifier for the presenting problem.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when this presenting problem record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "Example Name", "presentingproblemId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z" }